Index: java/SuperPostak/src/cz/frantovo/superPostak/SuperPostak.java
===================================================================
--- java/SuperPostak/src/cz/frantovo/superPostak/SuperPostak.java	(revision 7:66667bb5a6cc)
+++ java/SuperPostak/src/cz/frantovo/superPostak/SuperPostak.java	(revision 13:b15d81be8af3)
@@ -45,31 +45,31 @@
 public class SuperPostak extends javax.swing.JFrame {
 
-    /** Soubor, kde je uložené nastavení */
-    private static final String NASTAVENI_SOUBOR = "Nastaveni.xml.gz";
-    private static final String CERTIFIKATY_SOUBOR = "DuveryhodneCertifikaty.keystore";
-    private static final String NASTAVENI_SLOZKA = ".SuperPostak";
-    private static final String DOMACI_ADRESAR = System.getProperty("user.home");
-    private static final Logger log = Logger.getLogger(SuperPostak.class.getName());
-    private static final long serialVersionUID = -7026850569575604048L;
-    private Nastaveni nastaveni = new Nastaveni();
-    private Postak postak = new Postak(nastaveni);
-
-    /**
-     * Creates new form SuperPostak
-     * @param ladit předvyplní testovací hodnoty - zprávu
-     * @param exit při zavření okna ukončí program     
-     */
-    public SuperPostak(boolean ladit, boolean exit) {
-        log.log(Level.WARNING, "Program byl spuštěn.");
-        nactiOvladaceJDBC();
-        vytvorSlozkuProgramu();
-        initComponents();
-
-        nactiNastaveni();
-        ulozNastaveni();
-        nastaveni.setCestaKCertifikatum(getCestaKCertifikatum());
-
-        inicializujCardLayout();
-        setLocationRelativeTo(null);
+	/** Soubor, kde je uložené nastavení */
+	private static final String NASTAVENI_SOUBOR = "Nastaveni.xml.gz";
+	private static final String CERTIFIKATY_SOUBOR = "DuveryhodneCertifikaty.keystore";
+	private static final String NASTAVENI_SLOZKA = ".SuperPostak";
+	private static final String DOMACI_ADRESAR = System.getProperty("user.home");
+	private static final Logger log = Logger.getLogger(SuperPostak.class.getName());
+	private static final long serialVersionUID = -7026850569575604048L;
+	private Nastaveni nastaveni = new Nastaveni();
+	private Postak postak = new Postak(nastaveni);
+
+	/**
+	 * Creates new form SuperPostak
+	 * @param ladit předvyplní testovací hodnoty - zprávu
+	 * @param exit při zavření okna ukončí program
+	 */
+	public SuperPostak(boolean ladit, boolean exit) {
+		log.log(Level.WARNING, "Program byl spuštěn.");
+		nactiOvladaceJDBC();
+		vytvorSlozkuProgramu();
+		initComponents();
+
+		nactiNastaveni();
+		ulozNastaveni();
+		nastaveni.setCestaKCertifikatum(getCestaKCertifikatum());
+
+		inicializujCardLayout();
+		setLocationRelativeTo(null);
 
 		/** Kvůli souborovým dialogům – aby se otvírali ve stejné složce jako minule. */
@@ -78,220 +78,220 @@
 		prijemciZkusebni.setNastaveni(nastaveni);
 
-        /** Vyřešíme problém TAB vs. Focus */
-        vyresitTabFocusProblem(vstupSQL);
-        vyresitTabFocusProblem(vstupZprava);
-
-        /** Ladicí hodnoty */
-        if (ladit) {
-            nastavLadiciHodnoty();
-        }
-
-        if (exit) {
-            setDefaultCloseOperation(EXIT_ON_CLOSE);
-        }
-
-
-    }
-
-    private void inicializujCardLayout() {
-        panelDatabaze.setName("panelDatabaze");
-        panelOdeslat.setName("panelOdeslat");
-        panelPrijemci.setName("panelPrijemci");
-        panelServer.setName("panelServer");
-        panelVychoziPrijemci.setName("panelVychoziPrijemci");
-        panelZprava.setName("panelZprava");
-
-        panel.add(panelDatabaze, panelDatabaze.getName());
-        panel.add(panelOdeslat, panelOdeslat.getName());
-        panel.add(panelPrijemci, panelPrijemci.getName());
-        panel.add(panelServer, panelServer.getName());
-        panel.add(panelVychoziPrijemci, panelVychoziPrijemci.getName());
-        panel.add(panelZprava, panelZprava.getName());
-
-        setPanel(panelZprava);
-        pack();
-    }
-
-    /**
-     * Vyplní formuláře (odesílatel, předmět, zpráva, příjemci...) výchozími hodnotami,
-     * aby se dal program testovat jedním kliknutím.
-     */
-    private void nastavLadiciHodnoty() {
-        try {
-            vstupAdresaOdesilatele.setText("SuperPostak@frantovo.cz");
-            vstupJmenoOdesilatele.setText("SuperPošťák");
-            vstupPredmet.setText("Zkušební zpráva od SuperPošťáka");
-            vstupZprava.setText("Toto je obyčejná zkušební zpráva v češtině :-)");
-            ArrayList<InternetAddressKomu> adresy = new ArrayList<InternetAddressKomu>();
-            adresy.add(new InternetAddressKomu("SuperPostak@frantovo.cz", "SuperPošťák"));
-            prijemciZkusebni.setAdresy(adresy);
-        } catch (UnsupportedEncodingException e) {
-            log.log(Level.SEVERE, null, e);
-        }
-    }
-
-    /**
-     * Pokusíme se načíst ovladače pro různé DB a výsledek zapíšeme do logu.
-     * Další ovladače je možné přidat pomocí manifestu v příslušných knihovnách.
-     * viz http://www.sweb.cz/pichlik/archive/2006_08_06_archive.html#115502885631518161
-     */
-    private void nactiOvladaceJDBC() {
-        nactiOvladacJDBC("org.postgresql.Driver", "PostgreSQL");
-        nactiOvladacJDBC("com.mysql.jdbc.Driver", "MySQL");
-        nactiOvladacJDBC("net.sourceforge.jtds.jdbc.Driver", "jTDS Sybase a MS SQL");
-        nactiOvladacJDBC("com.sybase.jdbc2.jdbc.SybDriver", "Sybase.com");
-        nactiOvladacJDBC("oracle.jdbc.OracleDriver", "Oracle");
-    }
-
-    /**
-     * @param trida ovladač databáze, který se má načíst
-     * @param jmeno název databáze     
-     */
-    private void nactiOvladacJDBC(String trida, String jmeno) {
-        try {
-            Class.forName(trida);
-            log.log(Level.INFO, "JDBC ovladač pro " + jmeno + " byl úspěšně načten.");
-        } catch (ClassNotFoundException e) {
-            log.log(Level.INFO, "JDBC ovladač pro " + jmeno + " se nepodařilo načíst.");
-        }
-    }
-
-    /** Vrací plnou cestu k souboru s nastavením */
-    protected static String getCestaKCertifikatum() {
-        return getCestaKeSlozceProgramu() + CERTIFIKATY_SOUBOR;
-    }
-
-    /** Vrací plnou cestu k souboru s nastavením */
-    protected static String getCestaKNastaveni() {
-        return getCestaKeSlozceProgramu() + NASTAVENI_SOUBOR;
-    }
-
-    /** Vrací plnou cestu ke složce programu (nastavení, certifikáty a logy) */
-    protected static String getCestaKeSlozceProgramu() {
-        return DOMACI_ADRESAR + File.separator + NASTAVENI_SLOZKA + File.separator;
-    }
-
-    /** Načte nastavení ze souboru */
-    private void nactiNastaveni() {
-        try {
-            XMLDecoder d = new XMLDecoder(new BufferedInputStream(new GZIPInputStream(new FileInputStream(getCestaKNastaveni()))));
-            Object xmlObjekt = d.readObject();
-            d.close();
-
-            if (xmlObjekt instanceof Nastaveni) {
-                nastaveni = (Nastaveni) xmlObjekt;
-            } else {
-                nastaveni = new Nastaveni();
-                log.log(Level.SEVERE, "Nepodařilo se načíst nastavení: není instancí");
-            }
-
-            nactiNastaveniGUI();
-
-            log.log(Level.INFO, "Nastavení bylo načteno.");
-        } catch (FileNotFoundException ex) {
-            log.log(Level.SEVERE, "Nepodařilo se načíst nastavení: soubor nenalezen", ex);
-        } catch (IOException ex) {
-            log.log(Level.SEVERE, "Nastavení se nepodařilo načíst: I/O.", ex);
-        }
-    }
-
-    /** Vytvoří (pokud neexistuje) v domovském adresáři složku, kam se ukládá nastavení a případně logy */
-    private static boolean vytvorSlozkuProgramu() {
-        if (new File(getCestaKeSlozceProgramu()).mkdirs()) {
-            log.log(Level.INFO, "Složka pro nastavení programu byla vytvořena: " + getCestaKeSlozceProgramu());
-            return true;
-        } else {
-            return false;
-        }
-    }
-
-    /** Uloží nastavení do souboru */
-    private void ulozNastaveni() {
-        try {
-            ulozNastaveniGUI();
-
-            vytvorSlozkuProgramu();
-
-            XMLEncoder e = new XMLEncoder(new BufferedOutputStream(new GZIPOutputStream(new FileOutputStream(getCestaKNastaveni()))));
-            e.writeObject(nastaveni);
-            e.close();
-            log.log(Level.INFO, "Nastavení bylo uloženo.");
-        } catch (FileNotFoundException ex) {
-            log.log(Level.SEVERE, "Nastavení se nepodařilo uložit: soubor nenalezen.", ex);
-        } catch (IOException ex) {
-            log.log(Level.SEVERE, "Nastavení se nepodařilo uložit: I/O.", ex);
-        }
-    }
-
-    /** Posbírá zadané hodnoty z GUI a uloží je do objektu nastaveni */
-    private void ulozNastaveniGUI() {
-        nastaveni.setDatabaze(vstupDatabaze.getText());
-        nastaveni.setDbHeslo(vstupDBheslo.getPassword());
-        nastaveni.setDbJmeno(vstupDBjmeno.getText());
-        nastaveni.setLimitZprav((Integer) vstupSMTPlimitPrijemcu.getValue());
-        nastaveni.setPostovniHeslo(vstupSMTPheslo.getPassword());
-        nastaveni.setPostovniJmeno(vstupSMTPjmeno.getText());
-        nastaveni.setPostovniPort((Integer) vstupSMTPport.getValue());
-        nastaveni.setPostovniServer(vstupSMTPserver.getText());
-        nastaveni.setVychoziPrijemci(prijemciVychozi.getAdresy());
-    }
-
-    /** Aktualizuje GUI formuláře hodnotami z objektu nastaveni */
-    private void nactiNastaveniGUI() {
-        vstupDatabaze.setText(nastaveni.getDatabaze());
-        if (nastaveni.getDbHeslo() != null) {
-            vstupDBheslo.setText(String.valueOf(nastaveni.getDbHeslo()));
-        }
-        vstupDBjmeno.setText(nastaveni.getDbJmeno());
-        vstupSMTPlimitPrijemcu.setValue(nastaveni.getLimitZprav());
-        if (nastaveni.getPostovniHeslo() != null) {
-            vstupSMTPheslo.setText(String.valueOf(nastaveni.getPostovniHeslo()));
-        }
-        vstupSMTPjmeno.setText(nastaveni.getPostovniJmeno());
-        vstupSMTPport.setValue(nastaveni.getPostovniPort());
-        vstupSMTPserver.setText(nastaveni.getPostovniServer());
-        prijemciVychozi.setAdresy(nastaveni.getVychoziPrijemci());
-    }
-
-    protected static void zobrazChybovyDialog(Component vlastnik, String strucnaZprava, Throwable vyjimka, Level zavaznost, boolean logovat) {
-        zobrazChybovyDialog(vlastnik, "Chyba", strucnaZprava, null, vyjimka, zavaznost, logovat);
-    }
-
-    protected static void zobrazInformacniDialog(Component vlastnik, String nadpis, String text, boolean loguj) {
-        JOptionPane.showMessageDialog(vlastnik, text, nadpis, JOptionPane.INFORMATION_MESSAGE);
-        if (loguj) {
-            log.log(Level.INFO, nadpis + ": " + text);
-        }
-    }
-
-    protected static void zobrazChybovyDialog(Component vlastnik, String nadpis, String strucnaZprava, String podrobnaZprava, Throwable vyjimka, Level zavaznost, boolean logovat) {
-        if (logovat) {
-            log.log(zavaznost, strucnaZprava, vyjimka);
-        }
-
-        JXErrorPane chybovyPanel = new JXErrorPane();
-        ErrorInfo chybovaInformace = new ErrorInfo(nadpis, strucnaZprava, podrobnaZprava, null, vyjimka, zavaznost, null);
-        chybovyPanel.setErrorInfo(chybovaInformace);
-        JDialog dialog = JXErrorPane.createDialog(vlastnik, chybovyPanel);
-        dialog.setVisible(true);
-    }
-
-    private void zobrazChybovyDialog(String strucnaZprava, Throwable vyjimka, Level zavaznost, boolean logovat) {
-        zobrazChybovyDialog(this, strucnaZprava, vyjimka, zavaznost, logovat);
-    }
-
-    private void zobrazInformacniDialog(String nadpis, String text, boolean loguj) {
-        zobrazInformacniDialog(this, nadpis, text, loguj);
-    }
-
-    private void zobrazChybovyDialog(String nadpis, String strucnaZprava, String podrobnaZprava, Throwable vyjimka, Level zavaznost, boolean logovat) {
-        zobrazChybovyDialog(this, nadpis, strucnaZprava, podrobnaZprava, vyjimka, zavaznost, logovat);
-    }
-
-    /** This method is called from within the constructor to
-     * initialize the form.
-     * WARNING: Do NOT modify this code. The content of this method is
-     * always regenerated by the Form Editor.
-     */
+		/** Vyřešíme problém TAB vs. Focus */
+		vyresitTabFocusProblem(vstupSQL);
+		vyresitTabFocusProblem(vstupZprava);
+
+		/** Ladicí hodnoty */
+		if (ladit) {
+			nastavLadiciHodnoty();
+		}
+
+		if (exit) {
+			setDefaultCloseOperation(EXIT_ON_CLOSE);
+		}
+
+
+	}
+
+	private void inicializujCardLayout() {
+		panelDatabaze.setName("panelDatabaze");
+		panelOdeslat.setName("panelOdeslat");
+		panelPrijemci.setName("panelPrijemci");
+		panelServer.setName("panelServer");
+		panelVychoziPrijemci.setName("panelVychoziPrijemci");
+		panelZprava.setName("panelZprava");
+
+		panel.add(panelDatabaze, panelDatabaze.getName());
+		panel.add(panelOdeslat, panelOdeslat.getName());
+		panel.add(panelPrijemci, panelPrijemci.getName());
+		panel.add(panelServer, panelServer.getName());
+		panel.add(panelVychoziPrijemci, panelVychoziPrijemci.getName());
+		panel.add(panelZprava, panelZprava.getName());
+
+		setPanel(panelZprava);
+		pack();
+	}
+
+	/**
+	 * Vyplní formuláře (odesílatel, předmět, zpráva, příjemci...) výchozími hodnotami,
+	 * aby se dal program testovat jedním kliknutím.
+	 */
+	private void nastavLadiciHodnoty() {
+		try {
+			vstupAdresaOdesilatele.setText("SuperPostak@frantovo.cz");
+			vstupJmenoOdesilatele.setText("SuperPošťák");
+			vstupPredmet.setText("Zkušební zpráva od SuperPošťáka");
+			vstupZprava.setText("Toto je obyčejná zkušební zpráva v češtině :-)");
+			ArrayList<InternetAddressKomu> adresy = new ArrayList<InternetAddressKomu>();
+			adresy.add(new InternetAddressKomu("SuperPostak@frantovo.cz", "SuperPošťák"));
+			prijemciZkusebni.setAdresy(adresy);
+		} catch (UnsupportedEncodingException e) {
+			log.log(Level.SEVERE, null, e);
+		}
+	}
+
+	/**
+	 * Pokusíme se načíst ovladače pro různé DB a výsledek zapíšeme do logu.
+	 * Další ovladače je možné přidat pomocí manifestu v příslušných knihovnách.
+	 * viz http://www.sweb.cz/pichlik/archive/2006_08_06_archive.html#115502885631518161
+	 */
+	private void nactiOvladaceJDBC() {
+		nactiOvladacJDBC("org.postgresql.Driver", "PostgreSQL");
+		nactiOvladacJDBC("com.mysql.jdbc.Driver", "MySQL");
+		nactiOvladacJDBC("net.sourceforge.jtds.jdbc.Driver", "jTDS Sybase a MS SQL");
+		nactiOvladacJDBC("com.sybase.jdbc2.jdbc.SybDriver", "Sybase.com");
+		nactiOvladacJDBC("oracle.jdbc.OracleDriver", "Oracle");
+	}
+
+	/**
+	 * @param trida ovladač databáze, který se má načíst
+	 * @param jmeno název databáze
+	 */
+	private void nactiOvladacJDBC(String trida, String jmeno) {
+		try {
+			Class.forName(trida);
+			log.log(Level.INFO, "JDBC ovladač pro {0} byl úspěšně načten.", jmeno);
+		} catch (ClassNotFoundException e) {
+			log.log(Level.INFO, "JDBC ovladač pro {0} se nepodařilo načíst.", jmeno);
+		}
+	}
+
+	/** Vrací plnou cestu k souboru s nastavením */
+	protected static String getCestaKCertifikatum() {
+		return getCestaKeSlozceProgramu() + CERTIFIKATY_SOUBOR;
+	}
+
+	/** Vrací plnou cestu k souboru s nastavením */
+	protected static String getCestaKNastaveni() {
+		return getCestaKeSlozceProgramu() + NASTAVENI_SOUBOR;
+	}
+
+	/** Vrací plnou cestu ke složce programu (nastavení, certifikáty a logy) */
+	protected static String getCestaKeSlozceProgramu() {
+		return DOMACI_ADRESAR + File.separator + NASTAVENI_SLOZKA + File.separator;
+	}
+
+	/** Načte nastavení ze souboru */
+	private void nactiNastaveni() {
+		try {
+			XMLDecoder d = new XMLDecoder(new BufferedInputStream(new GZIPInputStream(new FileInputStream(getCestaKNastaveni()))));
+			Object xmlObjekt = d.readObject();
+			d.close();
+
+			if (xmlObjekt instanceof Nastaveni) {
+				nastaveni = (Nastaveni) xmlObjekt;
+			} else {
+				nastaveni = new Nastaveni();
+				log.log(Level.SEVERE, "Nepodařilo se načíst nastavení: není instancí");
+			}
+
+			nactiNastaveniGUI();
+
+			log.log(Level.INFO, "Nastavení bylo načteno.");
+		} catch (FileNotFoundException ex) {
+			log.log(Level.SEVERE, "Nepodařilo se načíst nastavení: soubor nenalezen", ex);
+		} catch (IOException ex) {
+			log.log(Level.SEVERE, "Nastavení se nepodařilo načíst: I/O.", ex);
+		}
+	}
+
+	/** Vytvoří (pokud neexistuje) v domovském adresáři složku, kam se ukládá nastavení a případně logy */
+	private static boolean vytvorSlozkuProgramu() {
+		if (new File(getCestaKeSlozceProgramu()).mkdirs()) {
+			log.log(Level.INFO, "Složka pro nastavení programu byla vytvořena: {0}", getCestaKeSlozceProgramu());
+			return true;
+		} else {
+			return false;
+		}
+	}
+
+	/** Uloží nastavení do souboru */
+	private void ulozNastaveni() {
+		try {
+			ulozNastaveniGUI();
+
+			vytvorSlozkuProgramu();
+
+			XMLEncoder e = new XMLEncoder(new BufferedOutputStream(new GZIPOutputStream(new FileOutputStream(getCestaKNastaveni()))));
+			e.writeObject(nastaveni);
+			e.close();
+			log.log(Level.INFO, "Nastavení bylo uloženo.");
+		} catch (FileNotFoundException ex) {
+			log.log(Level.SEVERE, "Nastavení se nepodařilo uložit: soubor nenalezen.", ex);
+		} catch (IOException ex) {
+			log.log(Level.SEVERE, "Nastavení se nepodařilo uložit: I/O.", ex);
+		}
+	}
+
+	/** Posbírá zadané hodnoty z GUI a uloží je do objektu nastaveni */
+	private void ulozNastaveniGUI() {
+		nastaveni.setDatabaze(vstupDatabaze.getText());
+		nastaveni.setDbHeslo(vstupDBheslo.getPassword());
+		nastaveni.setDbJmeno(vstupDBjmeno.getText());
+		nastaveni.setLimitZprav((Integer) vstupSMTPlimitPrijemcu.getValue());
+		nastaveni.setPostovniHeslo(vstupSMTPheslo.getPassword());
+		nastaveni.setPostovniJmeno(vstupSMTPjmeno.getText());
+		nastaveni.setPostovniPort((Integer) vstupSMTPport.getValue());
+		nastaveni.setPostovniServer(vstupSMTPserver.getText());
+		nastaveni.setVychoziPrijemci(prijemciVychozi.getAdresy());
+	}
+
+	/** Aktualizuje GUI formuláře hodnotami z objektu nastaveni */
+	private void nactiNastaveniGUI() {
+		vstupDatabaze.setText(nastaveni.getDatabaze());
+		if (nastaveni.getDbHeslo() != null) {
+			vstupDBheslo.setText(String.valueOf(nastaveni.getDbHeslo()));
+		}
+		vstupDBjmeno.setText(nastaveni.getDbJmeno());
+		vstupSMTPlimitPrijemcu.setValue(nastaveni.getLimitZprav());
+		if (nastaveni.getPostovniHeslo() != null) {
+			vstupSMTPheslo.setText(String.valueOf(nastaveni.getPostovniHeslo()));
+		}
+		vstupSMTPjmeno.setText(nastaveni.getPostovniJmeno());
+		vstupSMTPport.setValue(nastaveni.getPostovniPort());
+		vstupSMTPserver.setText(nastaveni.getPostovniServer());
+		prijemciVychozi.setAdresy(nastaveni.getVychoziPrijemci());
+	}
+
+	protected static void zobrazChybovyDialog(Component vlastnik, String strucnaZprava, Throwable vyjimka, Level zavaznost, boolean logovat) {
+		zobrazChybovyDialog(vlastnik, "Chyba", strucnaZprava, null, vyjimka, zavaznost, logovat);
+	}
+
+	protected static void zobrazInformacniDialog(Component vlastnik, String nadpis, String text, boolean loguj) {
+		JOptionPane.showMessageDialog(vlastnik, text, nadpis, JOptionPane.INFORMATION_MESSAGE);
+		if (loguj) {
+			log.log(Level.INFO, "{0}: {1}", new Object[]{nadpis, text});
+		}
+	}
+
+	protected static void zobrazChybovyDialog(Component vlastnik, String nadpis, String strucnaZprava, String podrobnaZprava, Throwable vyjimka, Level zavaznost, boolean logovat) {
+		if (logovat) {
+			log.log(zavaznost, strucnaZprava, vyjimka);
+		}
+
+		JXErrorPane chybovyPanel = new JXErrorPane();
+		ErrorInfo chybovaInformace = new ErrorInfo(nadpis, strucnaZprava, podrobnaZprava, null, vyjimka, zavaznost, null);
+		chybovyPanel.setErrorInfo(chybovaInformace);
+		JDialog dialog = JXErrorPane.createDialog(vlastnik, chybovyPanel);
+		dialog.setVisible(true);
+	}
+
+	private void zobrazChybovyDialog(String strucnaZprava, Throwable vyjimka, Level zavaznost, boolean logovat) {
+		zobrazChybovyDialog(this, strucnaZprava, vyjimka, zavaznost, logovat);
+	}
+
+	private void zobrazInformacniDialog(String nadpis, String text, boolean loguj) {
+		zobrazInformacniDialog(this, nadpis, text, loguj);
+	}
+
+	private void zobrazChybovyDialog(String nadpis, String strucnaZprava, String podrobnaZprava, Throwable vyjimka, Level zavaznost, boolean logovat) {
+		zobrazChybovyDialog(this, nadpis, strucnaZprava, podrobnaZprava, vyjimka, zavaznost, logovat);
+	}
+
+	/** This method is called from within the constructor to
+	 * initialize the form.
+	 * WARNING: Do NOT modify this code. The content of this method is
+	 * always regenerated by the Form Editor.
+	 */
     // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
     private void initComponents() {
@@ -927,247 +927,247 @@
 
     private void lnTextActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lnTextActionPerformed
-        setPanel(panelZprava);
+		setPanel(panelZprava);
     }//GEN-LAST:event_lnTextActionPerformed
 
     private void lnPrijemciActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lnPrijemciActionPerformed
-        setPanel(panelPrijemci);
+		setPanel(panelPrijemci);
     }//GEN-LAST:event_lnPrijemciActionPerformed
 
     private void lnOdeslatActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lnOdeslatActionPerformed
-        setPanel(panelOdeslat);
+		setPanel(panelOdeslat);
     }//GEN-LAST:event_lnOdeslatActionPerformed
 
     private void lnServerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lnServerActionPerformed
-        setPanel(panelServer);
+		setPanel(panelServer);
     }//GEN-LAST:event_lnServerActionPerformed
 
     private void lnDatabazeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lnDatabazeActionPerformed
-        setPanel(panelDatabaze);
+		setPanel(panelDatabaze);
     }//GEN-LAST:event_lnDatabazeActionPerformed
 
     private void lnVychoziPrijemciActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lnVychoziPrijemciActionPerformed
-        setPanel(panelVychoziPrijemci);
+		setPanel(panelVychoziPrijemci);
     }//GEN-LAST:event_lnVychoziPrijemciActionPerformed
 
     private void formWindowClosing(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowClosing
-        ulozNastaveni();
-        log.log(Level.WARNING, "Ukončuji program.");
+		ulozNastaveni();
+		log.log(Level.WARNING, "Ukončuji program.");
     }//GEN-LAST:event_formWindowClosing
 
-    /**
-     * Sestaví zprávu na základě GUI vstupů. Všechno kromě příjemců,
-     * ti se přidají až dodatečně, podle toho,
-     * jestli jde o zkušební nebo skutečné rozesílání.
-     */
-    private HromadnaZprava getZprava() throws UnsupportedEncodingException {
-        HromadnaZprava zprava = new HromadnaZprava();
-        zprava.setOdesilatel(new InternetAddress(vstupAdresaOdesilatele.getText(), vstupJmenoOdesilatele.getText()));
-        zprava.setPredmet(vstupPredmet.getText());
-        zprava.setText(vstupZprava.getText());
-        zprava.setFormatHTML(vstupFormatHTML.isSelected());
-
-        if (Postak.zkontrolujAdresu(odpovedetKomuAdresa.getText())) {
-            InternetAddress komu = new InternetAddress();
-            komu.setPersonal(odpovedetKomuJmeno.getText());
-            komu.setAddress(odpovedetKomuAdresa.getText());
-            zprava.setOdpovedetKomu(komu);
-        }
-
-        return zprava;
-    }
-
-    /** Všichni příjemci, kterým bude odeslána ostrá zpráva. */
-    private ArrayList<InternetAddressKomu> getPrijemciVsichni() throws SQLException, UnsupportedEncodingException {
-        ArrayList<InternetAddressKomu> vsichni = new ArrayList<InternetAddressKomu>();
-        Collection<InternetAddressKomu> adresyVychozi = nastaveni.getVychoziPrijemci();
-        Collection<InternetAddressKomu> adresySQL = getPrijemciSQL();
-        Collection<InternetAddressKomu> adresyDodatecne = prijemciDodatecni.getAdresy();
-
-        if (adresyVychozi != null) {
-            vsichni.addAll(adresyVychozi);
-        }
-        if (adresySQL != null) {
-            vsichni.addAll(adresySQL);
-        }
-        if (adresyDodatecne != null) {
-            vsichni.addAll(adresyDodatecne);
-        }
-        return vsichni;
-    }
+	/**
+	 * Sestaví zprávu na základě GUI vstupů. Všechno kromě příjemců,
+	 * ti se přidají až dodatečně, podle toho,
+	 * jestli jde o zkušební nebo skutečné rozesílání.
+	 */
+	private HromadnaZprava getZprava() throws UnsupportedEncodingException {
+		HromadnaZprava zprava = new HromadnaZprava();
+		zprava.setOdesilatel(new InternetAddress(vstupAdresaOdesilatele.getText(), vstupJmenoOdesilatele.getText()));
+		zprava.setPredmet(vstupPredmet.getText());
+		zprava.setText(vstupZprava.getText());
+		zprava.setFormatHTML(vstupFormatHTML.isSelected());
+
+		if (Postak.zkontrolujAdresu(odpovedetKomuAdresa.getText())) {
+			InternetAddress komu = new InternetAddress();
+			komu.setPersonal(odpovedetKomuJmeno.getText());
+			komu.setAddress(odpovedetKomuAdresa.getText());
+			zprava.setOdpovedetKomu(komu);
+		}
+
+		return zprava;
+	}
+
+	/** Všichni příjemci, kterým bude odeslána ostrá zpráva. */
+	private ArrayList<InternetAddressKomu> getPrijemciVsichni() throws SQLException, UnsupportedEncodingException {
+		ArrayList<InternetAddressKomu> vsichni = new ArrayList<InternetAddressKomu>();
+		Collection<InternetAddressKomu> adresyVychozi = nastaveni.getVychoziPrijemci();
+		Collection<InternetAddressKomu> adresySQL = getPrijemciSQL();
+		Collection<InternetAddressKomu> adresyDodatecne = prijemciDodatecni.getAdresy();
+
+		if (adresyVychozi != null) {
+			vsichni.addAll(adresyVychozi);
+		}
+		if (adresySQL != null) {
+			vsichni.addAll(adresySQL);
+		}
+		if (adresyDodatecne != null) {
+			vsichni.addAll(adresyDodatecne);
+		}
+		return vsichni;
+	}
 
     private void rozeslatHromadnouZpravuTlacitkoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rozeslatHromadnouZpravuTlacitkoActionPerformed
-        try {
-            ulozNastaveniGUI();
-            HromadnaZprava zprava = getZprava();
-            zprava.setPrijemci(getPrijemciVsichni());
-
-            int volba = JOptionPane.showOptionDialog(this, "Počet příjemců hromadné zprávy: " + zprava.getPrijemci().size() + "\nPřejete si zprávu odeslat?", "Potvrdit odeslání", JOptionPane.YES_NO_OPTION, JOptionPane.INFORMATION_MESSAGE, null, null, null);
-            if (volba == JOptionPane.YES_OPTION) {
-                odesli(zprava);
-                Postak.vypisPrijemce(zprava.getPrijemci());
-                zobrazInformacniDialog("Odesláno", "Zpráva byla odeslána.\nPočet příjemců: " + zprava.getPrijemci().size(), true);
-            }
-        } catch (Exception e) {
-            zobrazChybovyDialog("Zprávu se nepodařilo odeslat", e, Level.SEVERE, true);
-        }
+		try {
+			ulozNastaveniGUI();
+			HromadnaZprava zprava = getZprava();
+			zprava.setPrijemci(getPrijemciVsichni());
+
+			int volba = JOptionPane.showOptionDialog(this, "Počet příjemců hromadné zprávy: " + zprava.getPrijemci().size() + "\nPřejete si zprávu odeslat?", "Potvrdit odeslání", JOptionPane.YES_NO_OPTION, JOptionPane.INFORMATION_MESSAGE, null, null, null);
+			if (volba == JOptionPane.YES_OPTION) {
+				odesli(zprava);
+				Postak.vypisPrijemce(zprava.getPrijemci());
+				zobrazInformacniDialog("Odesláno", "Zpráva byla odeslána.\nPočet příjemců: " + zprava.getPrijemci().size(), true);
+			}
+		} catch (Exception e) {
+			zobrazChybovyDialog("Zprávu se nepodařilo odeslat", e, Level.SEVERE, true);
+		}
 }//GEN-LAST:event_rozeslatHromadnouZpravuTlacitkoActionPerformed
 
     private void rozeslatZkusebniTlacitkoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rozeslatZkusebniTlacitkoActionPerformed
-        try {
-            ulozNastaveniGUI();
-            HromadnaZprava zprava = getZprava();
-            zprava.setPrijemci(prijemciZkusebni.getAdresy());
-
-            odesli(zprava);
-
-            zobrazInformacniDialog("Odesláno", "Zkušební zpráva byla odeslána.\nPočet adresátů: " + zprava.getPrijemci().size(), true);
-        } catch (Exception e) {
-            zobrazChybovyDialog("Zkušební zprávu se nepodařilo odeslat", e, Level.SEVERE, true);
-        }
+		try {
+			ulozNastaveniGUI();
+			HromadnaZprava zprava = getZprava();
+			zprava.setPrijemci(prijemciZkusebni.getAdresy());
+
+			odesli(zprava);
+
+			zobrazInformacniDialog("Odesláno", "Zkušební zpráva byla odeslána.\nPočet adresátů: " + zprava.getPrijemci().size(), true);
+		} catch (Exception e) {
+			zobrazChybovyDialog("Zkušební zprávu se nepodařilo odeslat", e, Level.SEVERE, true);
+		}
     }//GEN-LAST:event_rozeslatZkusebniTlacitkoActionPerformed
 
     private void vyzkousetPripojeniTlacitkoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vyzkousetPripojeniTlacitkoActionPerformed
-        try {
+		try {
             getSpojeni();//GEN-LAST:event_vyzkousetPripojeniTlacitkoActionPerformed
-            zobrazInformacniDialog("Připojeno k DB", "Připojení k DB proběhlo úspěšně", false);
-        } catch (SQLException e) {
-            zobrazChybovyDialog("Spojení s DB", "Připojení k databázi selhalo", null, e, Level.SEVERE, true);
-        }
-    }
+			zobrazInformacniDialog("Připojeno k DB", "Připojení k DB proběhlo úspěšně", false);
+		} catch (SQLException e) {
+			zobrazChybovyDialog("Spojení s DB", "Připojení k databázi selhalo", null, e, Level.SEVERE, true);
+		}
+	}
 
     private void vyzkousetSQLTlacitkoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vyzkousetSQLTlacitkoActionPerformed
-        try {
+		try {
             Collection<InternetAddressKomu> adresy = getPrijemciSQL();//GEN-LAST:event_vyzkousetSQLTlacitkoActionPerformed
-            if (adresy == null) {
-                zobrazInformacniDialog("SQL dotaz", "Dotaz do databáze neproběhl.\nSQL dotaz je prázdný.", false);
-            } else {
-                zobrazInformacniDialog("SQL dotaz", "Dotaz do databáze byl úspěšný.\nPočet získaných záznamů: " + adresy.size(), false);
-            }
-        } catch (Exception e) {
-            zobrazChybovyDialog("SQL dotaz", "Provedení SQL příkazu selhalo selhalo", null, e, Level.SEVERE, true);
-        }
-    }
+			if (adresy == null) {
+				zobrazInformacniDialog("SQL dotaz", "Dotaz do databáze neproběhl.\nSQL dotaz je prázdný.", false);
+			} else {
+				zobrazInformacniDialog("SQL dotaz", "Dotaz do databáze byl úspěšný.\nPočet získaných záznamů: " + adresy.size(), false);
+			}
+		} catch (Exception e) {
+			zobrazChybovyDialog("SQL dotaz", "Provedení SQL příkazu selhalo selhalo", null, e, Level.SEVERE, true);
+		}
+	}
 
     private void zobrazitSQLPrijemceTlacitkoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_zobrazitSQLPrijemceTlacitkoActionPerformed
-        try {
-            Collection<InternetAddressKomu> adresy = getPrijemciSQL();
-
-            ZobrazovacAdres zobrazovac = new ZobrazovacAdres(this, false);
+		try {
+			Collection<InternetAddressKomu> adresy = getPrijemciSQL();
+
+			ZobrazovacAdres zobrazovac = new ZobrazovacAdres(this, false);
 			zobrazovac.setNastaveni(nastaveni);
-            zobrazovac.setAdresy(adresy);
-            zobrazovac.setLocationRelativeTo(this);
-            zobrazovac.setVisible(true);
-
-        } catch (Exception e) {
-            zobrazChybovyDialog("SQL dotaz", "Provedení SQL příkazu selhalo selhalo", null, e, Level.SEVERE, true);
-        }
+			zobrazovac.setAdresy(adresy);
+			zobrazovac.setLocationRelativeTo(this);
+			zobrazovac.setVisible(true);
+
+		} catch (Exception e) {
+			zobrazChybovyDialog("SQL dotaz", "Provedení SQL příkazu selhalo selhalo", null, e, Level.SEVERE, true);
+		}
     }//GEN-LAST:event_zobrazitSQLPrijemceTlacitkoActionPerformed
 
     private void zobrazitVsechnyPrijemceTlacitkoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_zobrazitVsechnyPrijemceTlacitkoActionPerformed
-        try {
-            Collection<InternetAddressKomu> adresy = getPrijemciVsichni();
-
-            ZobrazovacAdres zobrazovac = new ZobrazovacAdres(this, false);
-            zobrazovac.setAdresy(adresy);
-            zobrazovac.setLocationRelativeTo(this);
-            zobrazovac.setVisible(true);
-
-        } catch (Exception e) {
-            zobrazChybovyDialog("SQL dotaz", "Provedení SQL příkazu selhalo selhalo", null, e, Level.SEVERE, true);
-        }
+		try {
+			Collection<InternetAddressKomu> adresy = getPrijemciVsichni();
+
+			ZobrazovacAdres zobrazovac = new ZobrazovacAdres(this, false);
+			zobrazovac.setAdresy(adresy);
+			zobrazovac.setLocationRelativeTo(this);
+			zobrazovac.setVisible(true);
+
+		} catch (Exception e) {
+			zobrazChybovyDialog("SQL dotaz", "Provedení SQL příkazu selhalo selhalo", null, e, Level.SEVERE, true);
+		}
     }//GEN-LAST:event_zobrazitVsechnyPrijemceTlacitkoActionPerformed
 
     private void odpovedetKomuOdkazActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_odpovedetKomuOdkazActionPerformed
-        odpovedetKomuDialog.pack();
-        odpovedetKomuDialog.setLocationRelativeTo(this);
-        odpovedetKomuDialog.setModalityType(ModalityType.APPLICATION_MODAL);
-        odpovedetKomuDialog.getRootPane().setDefaultButton(odpovedetKomuHotovo);
-        odpovedetKomuDialog.setVisible(true);
+		odpovedetKomuDialog.pack();
+		odpovedetKomuDialog.setLocationRelativeTo(this);
+		odpovedetKomuDialog.setModalityType(ModalityType.APPLICATION_MODAL);
+		odpovedetKomuDialog.getRootPane().setDefaultButton(odpovedetKomuHotovo);
+		odpovedetKomuDialog.setVisible(true);
 }//GEN-LAST:event_odpovedetKomuOdkazActionPerformed
 
     private void odpovedetKomuHotovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_odpovedetKomuHotovoActionPerformed
-        odpovedetKomuDialog.setVisible(false);
+		odpovedetKomuDialog.setVisible(false);
 }//GEN-LAST:event_odpovedetKomuHotovoActionPerformed
 
-    /** Provede uživatelem zadaný SQL dotaz a vrátí získané příjemce */
-    private Collection<InternetAddressKomu> getPrijemciSQL() throws SQLException, UnsupportedEncodingException {
-        if ("".equals(vstupSQL.getText())) {
-            return null;
-        } else {
-            return getSpojeni().getAdresy(vstupSQL.getText());
-        }
-    }
-
-    private DataSQL getSpojeni() throws SQLException {
-        return Data.getSpojeniSQL(vstupDatabaze.getText(), vstupDBjmeno.getText(), vstupDBheslo.getPassword());
-    }
-
-    /** Obalovací třída, která v průběhu odesílání zobrazuje kurzor s hodinami. */
-    private void odesli(HromadnaZprava zprava) throws MessagingException {
-        setCursor(new Cursor(Cursor.WAIT_CURSOR));
-        try {
-            postak.setNastaveni(nastaveni);
-            postak.odesli(zprava);
-
-        } catch (MessagingException e) {
-            throw e;
-        } finally {
-            setCursor(Cursor.getDefaultCursor());
-        }
-    }
-
-    private void setPanel(JComponent komponenta) {
-
-        if (panel.getLayout() instanceof CardLayout) {
-            CardLayout l = (CardLayout) panel.getLayout();
-            l.show(panel, komponenta.getName());
-        } else {
-            log.log(Level.WARNING, "Neplatí: panel.getLayout() instanceof CardLayout");
-        }
-
-    }
-
-    /** Změní chování tabulátoru v textovém poli - aby se pomocí TABu dalo skočit na další komponentu */
-    private void vyresitTabFocusProblem(JTextArea textArea) {
-        textArea.setFocusTraversalKeys(KeyboardFocusManager.FORWARD_TRAVERSAL_KEYS, null);
-        textArea.setFocusTraversalKeys(KeyboardFocusManager.BACKWARD_TRAVERSAL_KEYS, null);
-    }
-
-    public JXTaskPaneContainer getTaskPanel() {
-        return taskPanel;
-    }
-
-    /**
-     * @param args the command line arguments
-     */
-    public static void main(String args[]) {
-        final boolean ladit = (args != null && args.length > 0 && args[0].equals("ladit"));
-
-        try {
-            //LookAndFeel laf = UIManager.getLookAndFeel();
-
-            //laf = new SubstanceLookAndFeel();
-            //laf = new SubstanceBusinessLookAndFeel();
-            //laf = new SubstanceBusinessBlueSteelLookAndFeel();
-            //laf = new SubstanceBusinessBlackSteelLookAndFeel();
-
-            UIManager.setLookAndFeel("org.jvnet.substance.skin.SubstanceBusinessBlueSteelLookAndFeel");
-        } catch (ClassNotFoundException ex) {
-            log.log(Level.SEVERE, null, ex);
-        } catch (InstantiationException ex) {
-            log.log(Level.SEVERE, null, ex);
-        } catch (IllegalAccessException ex) {
-            log.log(Level.SEVERE, null, ex);
-        } catch (UnsupportedLookAndFeelException ex) {
-            log.log(Level.SEVERE, null, ex);
-        }
-
-        java.awt.EventQueue.invokeLater(new Runnable() {
-
-            public void run() {
-                new SuperPostak(ladit, true).setVisible(true);
-            }
-        });
-    }
+	/** Provede uživatelem zadaný SQL dotaz a vrátí získané příjemce */
+	private Collection<InternetAddressKomu> getPrijemciSQL() throws SQLException, UnsupportedEncodingException {
+		if ("".equals(vstupSQL.getText())) {
+			return null;
+		} else {
+			return getSpojeni().getAdresy(vstupSQL.getText());
+		}
+	}
+
+	private DataSQL getSpojeni() throws SQLException {
+		return Data.getSpojeniSQL(vstupDatabaze.getText(), vstupDBjmeno.getText(), vstupDBheslo.getPassword());
+	}
+
+	/** Obalovací třída, která v průběhu odesílání zobrazuje kurzor s hodinami. */
+	private void odesli(HromadnaZprava zprava) throws MessagingException {
+		setCursor(new Cursor(Cursor.WAIT_CURSOR));
+		try {
+			postak.setNastaveni(nastaveni);
+			postak.odesli(zprava);
+
+		} catch (MessagingException e) {
+			throw e;
+		} finally {
+			setCursor(Cursor.getDefaultCursor());
+		}
+	}
+
+	private void setPanel(JComponent komponenta) {
+
+		if (panel.getLayout() instanceof CardLayout) {
+			CardLayout l = (CardLayout) panel.getLayout();
+			l.show(panel, komponenta.getName());
+		} else {
+			log.log(Level.WARNING, "Neplatí: panel.getLayout() instanceof CardLayout");
+		}
+
+	}
+
+	/** Změní chování tabulátoru v textovém poli - aby se pomocí TABu dalo skočit na další komponentu */
+	private void vyresitTabFocusProblem(JTextArea textArea) {
+		textArea.setFocusTraversalKeys(KeyboardFocusManager.FORWARD_TRAVERSAL_KEYS, null);
+		textArea.setFocusTraversalKeys(KeyboardFocusManager.BACKWARD_TRAVERSAL_KEYS, null);
+	}
+
+	public JXTaskPaneContainer getTaskPanel() {
+		return taskPanel;
+	}
+
+	/**
+	 * @param args the command line arguments
+	 */
+	public static void main(String args[]) {
+		final boolean ladit = (args != null && args.length > 0 && args[0].equals("ladit"));
+
+		try {
+			//LookAndFeel laf = UIManager.getLookAndFeel();
+
+			//laf = new SubstanceLookAndFeel();
+			//laf = new SubstanceBusinessLookAndFeel();
+			//laf = new SubstanceBusinessBlueSteelLookAndFeel();
+			//laf = new SubstanceBusinessBlackSteelLookAndFeel();
+
+			UIManager.setLookAndFeel("org.jvnet.substance.skin.SubstanceBusinessBlueSteelLookAndFeel");
+		} catch (ClassNotFoundException ex) {
+			log.log(Level.SEVERE, null, ex);
+		} catch (InstantiationException ex) {
+			log.log(Level.SEVERE, null, ex);
+		} catch (IllegalAccessException ex) {
+			log.log(Level.SEVERE, null, ex);
+		} catch (UnsupportedLookAndFeelException ex) {
+			log.log(Level.SEVERE, null, ex);
+		}
+
+		java.awt.EventQueue.invokeLater(new Runnable() {
+
+			public void run() {
+				new SuperPostak(ladit, true).setVisible(true);
+			}
+		});
+	}
     // Variables declaration - do not modify//GEN-BEGIN:variables
     private javax.swing.JLabel jLabel1;
